Package: org.codehaus.groovy.runtime

## [Java] Class GroovyCategorySupport.CategoryMethod

- org.codehaus.groovy.runtime.GroovyCategorySupport.CategoryMethod

- All Implemented Interfaces and Traits:
    Comparable

      public static class GroovyCategorySupport.CategoryMethod
      extends NewInstanceMetaMethod
      implements Comparable

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class NewMetaMethod` | `EMPTY_TYPE_ARRAY, bytecodeParameterTypes`
    `class ReflectionMetaMethod` | `method`
    `class MetaMethod` | `EMPTY_ARRAY`
    `class ParameterTypes` | `isVargsMethod, nativeParamTypes, parameterTypes`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `CategoryMethod (CachedMethod metaMethod, Class metaClass)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public int` | `compareTo(Object that)` Sort by most specific to least specific.
    `` | `public boolean` | `isCacheable()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class NewInstanceMetaMethod` | `getModifiers, invoke, isStatic`
    `class NewMetaMethod` | `getBytecodeParameterTypes, getDeclaringClass, getOwnerClass`
    `class ReflectionMetaMethod` | `getCachedMethod, getDeclaringClass, getModifiers, getName, getPT, getReturnType, invoke, toString`
    `class MetaMethod` | `checkParameters, clone, doMethodInvoke, equal, equal, getDeclaringClass, getDescriptor, getModifiers, getMopName, getName, getReturnType, getSignature, invoke, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString`
    `class ParameterTypes` | `coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getPT, getParameterTypes, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, isVargsMethod, setParametersTypes`

- - ### Constructor Detail

    - #### public CategoryMethod(CachedMethod metaMethod, Class metaClass)

  - ### Method Detail

    - #### @Override public int compareTo(Object that)

      Sort by most specific to least specific.

      Parameters:
        `that` - the object to compare against

    - #### public boolean isCacheable()